﻿@using  MIMS.Portal.Commons.Extensions;
<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Base</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap-rtl.css" />
    <link href="~/fonts/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/css/site.css" />
    <link href="~/app-assets/vendors/datatables/datatables.min.css" rel="stylesheet" />
    <link href="~/app-assets/vendors/datatables/dataTables.bootstrap4.css" rel="stylesheet" />
    <link href="~/app-assets/vendors/datatables/responsive.bootstrap.css" rel="stylesheet" />
    <link href="~/js/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" />
    <script type="text/javascript">!function () { function t() { var t = document.createElement("script"); t.type = "text/javascript", t.async = !0, localStorage.getItem("rayToken") ? t.src = "https://app.raychat.io/scripts/js/" + o + "?rid=" + localStorage.getItem("rayToken") + "&href=" + window.location.href : t.src = "https://app.raychat.io/scripts/js/" + o + "?href=" + window.location.href; var e = document.getElementsByTagName("script")[0]; e.parentNode.insertBefore(t, e) } var e = document, a = window, o = "97e66e25-fab9-40ee-92ee-f3f4bfdebcf4"; "complete" == e.readyState ? t() : a.attachEvent ? a.attachEvent("onload", t) : a.addEventListener("load", t, !1) }();</script>
</head>
@{
    string dateDay = DateTime.Now.ToPeString();
    string timeDay = DateTime.Now.ToShortTimeString();
}
<body class="nav-md" onload="startTime()">
    <div class="container body">
        <div class="main_container">
            <div class="col-md-3 left_col  no-print">
                <div class="left_col scroll-view">
                    <div class="navbar nav_title" style="border: 0;">
                        <a class="site_title"><span style="font-size:65%; opacity:0.5; padding-right:10px;"> خوش آمدید</span></a>
                    </div>
                    <div class="clearfix"></div>
                    <!-- menu profile quick info -->
                    <div class="profile clearfix">
                        <div class="profile_pic">
                            <img src="~/images/User-Test-Center.png" alt="..." class="img-circle profile_img">
                        </div>
                        <div class="profile_info">
                            <br />
                            <h2></h2>
                            <br />
                        </div>
                    </div>
                    <div class="row time">
                        <div class="col-md-6">@timeDay</div>
                        <div id="Time" class="col-md-6"></div>
                    </div>
                    <div class="row date">
                        <div class="col-md-6">@dateDay</div>
                        <div class="col-md-6"> </div>
                    </div>
                    <!-- menu profile quick info -->
                    <br />
                    <!-- sidebar-menu -->
                    <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
                        <div class="menu_section">
                            <ul class="nav side-menu">
                                <li><a href="/home/index"><i class="fa fa-table"></i>پیشخوان</a></li>
                                <li><a asp-action="index" asp-controller="merchants"><i class="fa fa-table"></i>پذیرندگان</a></li>

                                @if (User.IsInRole("admin"))
                                {
                                    <li><a href="/message/index"><i class="fa fa-table"></i>پیام</a></li>
                                    <li><a href="/news/index"><i class="fa fa-table"></i>اخبار </a></li>
                                    <li><a href="/user/index"><i class="fa fa-table"></i>کاربران</a></li>
                                    <li><a href="/Report/index"><i class="fa fa-table"></i>گزارشگیری </a></li>

                                }



                                <li><a href="/Invoice/index"><i class="fa fa-table"></i>فاکتور </a></li>
                                <li><a href="/device/index"><i class="fa fa-table"></i>دستگاه </a></li>
                                <li><a href="/ticket/index"><i class="fa fa-table"></i>تیکت </a></li>




                                <li><a href="/User/ChangePassword"><i class="fa fa-user" aria-hidden="true"></i>تغییر کلمه عبور</a></li>

                                <li><a href="/User/Logout"><i class="fa fa-sign-out"></i>خروج</a></li>

                            </ul>
                            <!-- /sidebar menu -->
                        </div>
                    </div>
                </div>
            </div>

            <!-- top navigation -->
            <div class="top_nav no-print">
                <div class="nav_menu">
                    <nav>
                        <div class="nav toggle">
                            <a id="menu_toggle"><i class="fa fa-bars"></i></a>
                        </div>
                    </nav>
                </div>
            </div>
            <!-- /top navigation -->
            <div style="clear:both">
                <div class="right_col" role="main">
                    <div class="row">
                        <div class="col-12">
                            <div style="position:relative;">
                                <!-- <START> Alert for Error or successful process -->
                                @if (TempData["Error"] != null)
                                {
                                    <div id="alert-delay" class="alert alert-danger" style="text-align:right; position:fixed;  bottom:0; margin:0 -25px; width:100%; z-index:999; display:none; border-radius:0; border-top: 1px solid #b30000;" role="alert">
                                        <div style="display: inline-block;"><h2 style="color:white; display:inline-block; padding:1px;">خطا! </h2> @TempData["Error"]</div>
                                    </div>
                                    <script>
                                        $(document).ready(function () {
                                            $(".Notification").fadeIn(300).delay(1000).fadeOut(300);
                                        });
                                        if ("@TempData["Error"]" != null && "@TempData["Error"]" != "") {
                                            window.onload = alertMessage();
                                        }
                                        function alertMessage() {
                                            $("#alert-delay").fadeIn(300).delay(5000).fadeOut(300);
                                        }
                                    </script>
                                }
                                else if (TempData["Message"] != null)
                                {
                                    <div id="alert-delay" class="alert alert-success" style="text-align:right; position:fixed; bottom:0; margin:0 -25px; width:100%;z-index:999; display:none; border-radius:0; border-top: 1px solid #00755f;" role="alert">
                                        <div style="display: inline-block;"><h2 style="color:white; display:inline-block; padding:1px;">عملیات موفق! </h2> @TempData["Message"]</div>
                                    </div>
                                    <script>
                                        if ("@TempData["Message"]" != null && "@TempData["Message"]" != "") {
                                            window.onload = alertMessage();
                                        }
                                        function alertMessage() {
                                            $("#alert-delay").fadeIn(300).delay(5000).fadeOut(300);
                                        }
                                    </script>
                                }
                                else if (TempData["Empty"] != null)
                                {
                                    <div id="alert-delay" class="alert alert-danger" style="text-align:right; position:fixed;  bottom:0; margin:0 -20px; width:100%; z-index:999; display:none; border-radius:0; border-top: 1px solid #b30000;" role="alert">
                                        <div style="display: inline-block;"><h2 style="color:white; display:inline-block; padding:1px;"></h2> @TempData["Empty"]</div>
                                    </div>
                                    <script>
                                        if ("@TempData["Empty"]" != null && "@TempData["Empty"]" != "") {
                                            window.onload = alertMessage();
                                        }
                                        function alertMessage() {
                                            $("#alert-delay").fadeIn(300).delay(5000).fadeOut(300);
                                        }
                                    </script>
                                }
                                <!-- <END> Alert for Error or successful process -->
                                @RenderBody()
                            </div>
                        </div>
                    </div>
                </div>
                <!-- footer content -->
                <footer>
                    <div class="pull-left">
                        سامانه اتوماسیون
                    </div>
                    <div class="clearfix"></div>
                </footer>

            </div>
        </div>
        <!-- container body -->
    </div>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    @*<script src="~/js/jquery/confirm-master/jquery-confirm.min.js"></script>*@
    <script src="~/js/Chartjs/Chart.js"></script>
    <script src="~/js/Chartjs/chartjs-plugin-datalabels.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script src="~/js/portal/custom.min.js"></script>
    <script src="~/js/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
    <script src="~/js/bootstrap-datepicker/bootstrap-datepicker.fa.min.js"></script>
    <script src="~/app-assets/vendors/datatables/datatables.min.js"></script>
    <script src="~/app-assets/vendors/datatables/dataTables.bootstrap4.js"></script>
    <script src="~/app-assets/vendors/datatables/dataTables.buttons.min.js"></script>
    <script src="~/app-assets/vendors/datatables/responsive.bootstrap.js"></script>
    <script src="~/app-assets/vendors/datatables/datatable.config.js"></script>
    <partial name="/Views/Shared/Partials/_ValidationScriptsPartial.cshtml" />
    <partial name="/Views/Shared/Partials/_ToastrPartial.cshtml" />
    <partial name="/Views/Shared/Partials/_IntroJsPartial.cshtml" />

    <script>
        $(document).ready(function () {

            $('input[id$="Date"],input[id^="Date"]').datepicker({
                changeMonth: true,
                changeYear: true,
                showOtherMonths: true,
                selectOtherMonths: true,
                today: true,
                isRTL: true,
                dateFormat: "yy/mm/dd"
            });

            $('.has-multiselect').attr("multiple", "multiple").multiselect({
                selectAllText: 'انتخاب همه',
                nonSelectedText: 'هیچکدام',
                allSelectedText: 'همه موارد',
                nSelectedText: ' مورد انتخاب شد',
                resetText: 'هیچکدام',
                filterPlaceholder: 'جستجو',
                includeSelectAllOption: true,
                enableClickableOptGroups: false,
                enableCollapsibleOptGroups: true,
                collapseOptGroupsByDefault: true,
                enableFiltering: true,
                buttonWidth: '100%',
                templates: {
                    filter: '<div class="multiselect-filter"><div class= "position-relative has-icon-left" ><div class="form-control-position"><i class="icon-search"></i></div><input class="form-control multiselect-search border-bottom" type="text" /></div>'
                }

            });

            $('[data-toggle="tooltip"]').tooltip(
                { "placement": "top", }
            );

            $('[data-toggle="popover"]').popover();
        });
    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>
